#
# spec file for package ghc-haskell-gi-base
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name haskell-gi-base
Name:           ghc-%{pkg_name}
Version:        0.20.3
Release:        lp150.1.8
Summary:        Foundation for libraries generated by haskell-gi
License:        LGPL-2.1+
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gobject-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Foundation for libraries generated by haskell-gi.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       pkgconfig
Requires:       pkgconfig(gobject-2.0)
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Thu Jun  8 2017 psimons@suse.com
- Update to version 0.20.3.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.20.2 with cabal2obs.
* Tue Mar 28 2017 psimons@suse.com
- Update to version 0.20.1 with cabal2obs. This updates obsoletes
  eeb54b9f5e50bda92fbfc09a6a777decd2d2d574.patch.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 0.20 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.18.4 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.18.2 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.17 revision 0 with cabal2obs.
